%define		realname		gettext
Summary:	gettext libraries - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteki gettext - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	0.20.1
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnu.org/gnu/gettext/%{realname}-%{version}.tar.xz
# Source0-md5:	9ed9e26ab613b668e0026222a9c23639
Patch0:		%{name}-kill_tools.patch
Patch1:		%{realname}-mingw32.patch
URL:		http://www.gnu.org/software/gettext/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.13
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-libiconv
BuildRequires:	libtool >= 2:2
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Requires:	crossmingw32-libiconv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		_ssp_cflags		%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
gettext libraries - cross MinGW32 version.

%description -l pl.UTF-8
Biblioteki gettext - wersja skrośna dla MinGW32.

%package static
Summary:	Static gettext libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki gettext (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static gettext libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki gettext (wersja skrośna MinGW32).

%package dll
Summary:	DLL gettext libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL gettext dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-libiconv-dll
Requires:	wine

%description dll
DLL gettext libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL gettext dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%{__sed} -i \
	-e 's@m4_esyscmd(\[build-aux/git-version-gen \.tarball-version\])@[%{version}]@' \
	configure.ac
%{__sed} -i \
	-e 's@m4_esyscmd(\[\.\./build-aux/git-version-gen \.\./\.tarball-version\])@[%{version}]@' \
	gettext-runtime/configure.ac \
	gettext-tools/configure.ac

%build
cd gettext-runtime
%{__libtoolize}
%{__aclocal} -I m4 -I ../m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd libasprintf
%{__aclocal} -I ../../m4 -I ../m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../../libtextstyle
%{__libtoolize}
%{__aclocal} -I m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../gettext-tools
%{__aclocal} -I m4 -I ../gettext-runtime/m4 -I ../m4 -I gnulib-m4 -I libgrep/gnulib-m4 -I libgettextpo/gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd examples
%{__aclocal} -I ../../gettext-runtime/m4 -I ../../m4
%{__autoconf}
%{__automake}
cd ../..
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-csharp \
	--enable-static \
	--enable-threads=windows \
	--without-bzip2 \
	--without-git \
	--with-xz

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{{envsubst,gettext,ngettext}.exe,gettext.sh}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{doc,gettext,locale,man}
%{__rm} -r $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libintl.dll.a
%{_libdir}/libintl.la
%{_libdir}/libasprintf.dll.a
%{_libdir}/libasprintf.la
%{_includedir}/autosprintf.h
%{_includedir}/libintl.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libintl.a
%{_libdir}/libasprintf.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libintl-8.dll
%{_dlldir}/libasprintf-0.dll
%changelog
* Sun Oct 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-gettext.git;a=log;h=master

* Thu Jun 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 5dff76f
- updated to 0.20.1
- updated kill_tools patch

* Sat Dec 22 2018 Jakub Bogusz <qboosh@pld-linux.org> a70f2dd
- force use of windows threads, even if pthreads-w32 is installed; release 5

* Thu Dec 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 301e505
- release 4

* Mon Oct 01 2018 Jakub Bogusz <qboosh@pld-linux.org> c2c3acf
- added mingw32 patch (adjust for w32api 5.0.x); release 3

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> d8ceb41
- release 2

* Sat Jun 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 38daf24
- updated to 0.19.8.1

* Mon Dec 28 2015 Jakub Bogusz <qboosh@pld-linux.org> ba38411
- updated to 0.19.7

* Sat Sep 19 2015 Jakub Bogusz <qboosh@pld-linux.org> ac281e9
- updated to 0.19.6

* Thu Jul 16 2015 Jakub Bogusz <qboosh@pld-linux.org> c4cc2e6
- updated to 0.19.5.1

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> da71902
- x32 rebuild
- release 2 (by relup.sh)

* Thu Feb 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 6db5090
- updated to 0.19.4

* Mon Oct 20 2014 Jakub Bogusz <qboosh@pld-linux.org> a411ca2
- updated to 0.19.3

* Mon Jul 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 6567503
- updated to 0.19.2

* Wed Jun 11 2014 Jakub Bogusz <qboosh@pld-linux.org> ef6761d
- updated to 0.19.1

* Tue Jun 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 478762d
- updated to 0.19

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 7a0f63e
- updated to 0.18.3.2

* Mon Aug 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 94fc18f
- updated to 0.18.3.1
- removed obsolete ac patch

* Wed Jul 10 2013 Jakub Bogusz <qboosh@pld-linux.org> e5f47d6
- updated to 0.18.3
- added ac patch (fixes win32 vsnprintf variants detection)

* Sun Apr 21 2013 Elan Ruusamäe <glen@delfi.ee> 97f3820
- remove default stack protector flags

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> bf781a5
- updated to 0.18.2.1

